package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ScheduleTaskMapper;
import com.ruoyi.system.domain.ScheduleTask;
import com.ruoyi.system.service.IScheduleTaskService;

/**
 * 任务定时执行Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-07-24
 */
@Service
public class ScheduleTaskServiceImpl implements IScheduleTaskService 
{
    @Autowired
    private ScheduleTaskMapper scheduleTaskMapper;

    /**
     * 查询任务定时执行
     * 
     * @param id 任务定时执行主键
     * @return 任务定时执行
     */
    @Override
    public ScheduleTask selectScheduleTaskById(Long id)
    {
        return scheduleTaskMapper.selectScheduleTaskById(id);
    }

    /**
     * 查询任务定时执行列表
     * 
     * @param scheduleTask 任务定时执行
     * @return 任务定时执行
     */
    @Override
    public List<ScheduleTask> selectScheduleTaskList(ScheduleTask scheduleTask)
    {
        return scheduleTaskMapper.selectScheduleTaskList(scheduleTask);
    }

    /**
     * 新增任务定时执行
     * 
     * @param scheduleTask 任务定时执行
     * @return 结果
     */
    @Override
    public int insertScheduleTask(ScheduleTask scheduleTask)
    {
        return scheduleTaskMapper.insertScheduleTask(scheduleTask);
    }

    /**
     * 修改任务定时执行
     * 
     * @param scheduleTask 任务定时执行
     * @return 结果
     */
    @Override
    public int updateScheduleTask(ScheduleTask scheduleTask)
    {
        return scheduleTaskMapper.updateScheduleTask(scheduleTask);
    }

    /**
     * 批量删除任务定时执行
     * 
     * @param ids 需要删除的任务定时执行主键
     * @return 结果
     */
    @Override
    public int deleteScheduleTaskByIds(Long[] ids)
    {
        return scheduleTaskMapper.deleteScheduleTaskByIds(ids);
    }

    /**
     * 删除任务定时执行信息
     * 
     * @param id 任务定时执行主键
     * @return 结果
     */
    @Override
    public int deleteScheduleTaskById(Long id)
    {
        return scheduleTaskMapper.deleteScheduleTaskById(id);
    }
}
